﻿/* Import Google font - Poppins & Noto */
/*@import url('https://fonts.googleapis.com/css2?family=Noto+Serif:ital@1&family=Poppins:wght@400;500;600&display=swap');
*/
@import url('captchafont.css');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

::selection {
    color: #fff;
    background: #4db2ec;
}

/*body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: #4db2ec;
}*/

.wrapper {
    max-width: 409px;
    width: 80%;
    background: #FBFCFE;
    padding: 14px 21px 18px;
    border-radius: 7px;
    box-shadow: 8px 8px 8px rgba(0, 0, 0, 0.05);
}

.wrapper header {
    color: #4db2ec;
    font-size: 33px;
    font-weight: 500;
    text-align: center;
}

    .wrapper .captcha-area {
        display: flex;
        height: 56px;
        margin: 1px 0 16px;
        align-items: center;
        justify-content: space-between;
    }

.captcha-area .captcha-img {
    height: 80%;
    width: 190px;
    user-select: none;
    background: #EFF2F5;
    border-radius: 1px;
    position: relative
}

.captcha-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    opacity: 0.95;
}

.captcha-img .captcha {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 100%;
    color: #adea44;
    font-size: 16px;
    text-align: center;
    letter-spacing: 8px;
    transform: translate(-50%, -50%);
    text-shadow: 0px 0px 2px #b1b1b1;
    font-family: 'Noto Serif', serif;
    font-weight: bold;
    font-style: italic;
}

.wrapper button {
    outline: none;
    border: none;
    color: #fff;
    cursor: pointer;
    background: url("../images/captcha2.png");
    /*background: #4db2ec;*/
    border-radius: 5px;
    transition: all 0.3s ease;
}

    .wrapper button:hover {
      /*  background: #2fa5e9;*/
        background: url("../images/captcha3.png");
    }

.captcha-area .reload-btn {
    width: 75px;
    height: 82%;
    font-size: 25px;
}

    .captcha-area .reload-btn i {
        transition: transform 0.3s ease;
    }

    .captcha-area .reload-btn:hover i {
        transform: rotate(15deg);
    }

.wrapper .input-area {
    height: 60px;
    width: 100%;
    position: relative;
}

.input-area input {
    width: 100%;
    height: 100%;
    outline: none;
    padding-left: 20px;
    font-size: 16px;
    border-radius: 5px;
    border: 1px solid #bfbfbf;
    background-color: #EFF2F5 !important;
}

    .input-area input:is(:focus, :valid) {
        padding-left: 19px;
        border: 2px solid #808080;
        background-color: #EFF2F5 !important;
    }

    .input-area input::placeholder {
        color: #bfbfbf !important;
    }

.input-area .check-btn {
    position: absolute;
    right: 7px;
    top: 50%;
    font-size: 17px;
    height: 45px;
    padding: 0 20px;
    opacity: 0;
    pointer-events: none;
    transform: translateY(-50%);
}

.input-area input:valid + .check-btn {
    opacity: 1;
    pointer-events: auto;
}

.wrapper .status-text {
    display: none;
    font-size: 18px;
    text-align: center;
    margin: 20px 0 -5px;
}

@media (max-width: 506px) {
 /*   body {
        padding: 0 10px;
    }*/

    .wrapper {
        padding: 22px 25px 35px;
    }

        .wrapper header {
            font-size: 25px;
        }

        .wrapper .captcha-area {
            height: 60px;
        }

    .captcha-area .captcha {
        font-size: 28px;
        letter-spacing: 5px;
    }

    .captcha-area .reload-btn {
        width: 60px;
        margin-left: 5px;
        font-size: 20px;
    }

    .wrapper .input-area {
        height: 55px;
    }

    .input-area .check-btn {
        height: 40px;
    }

    .wrapper .status-text {
        font-size: 15px;
    }

    .captcha-area .captcha-img {
        width: 250px;
    }
}
